# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image 
#                        pour la Santé)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
#
#  This software is governed by the CeCILL-B license under French law and 
#  abiding by the rules of distribution of free software. You can  use, 
#  modify and/ or redistribute the software under the terms of the CeCILL-B 
#  license as circulated by CEA, CNRS and INRIA at the following URL 
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability. 
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------  


# $1 : useless for Linux (Release/Debug)
# $2 : name of source ex : crea
# $3 : generationdir ex : ~/myDefaultGenerationDir
# $4 : installPrefix

#
# For installing "bb..."
# without "make"
#

echo
echo
echo
echo "------------------------------------------in installmod-- $2 ------------"
echo $1
echo $2
echo $3
echo $4

#cd $3/creatools_bin/$2Bin
installPrefix=$4
# We install, now

pwd
#make install

if [ -e $installPrefix/lib64 ]
then
   # grouik style patch JPR
   #if [ $2 = "bbtk" ]
   #then
   #   echo export BBTK_DIR=$installPrefix/lib64/creatools/$2   >> $baseLibraryCreatoolsDir/creatools_base_library_config.sh
   #else
      echo export $2_DIR='$'installPrefix/lib64/creatools/$2     >> $baseLibraryCreatoolsDir/creatools_base_library_config.sh
      echo export bb$2_DIR='$'installPrefix/lib64/creatools/bb$2 >> $baseLibraryCreatoolsDir/creatools_base_library_config.sh      
   #fi
fi

if [ -e $installPrefix/lib ]
then
   # grouik style patch JPR
#   if [ $2 = "bbtk" ]
#   then
#      echo "export BBTK_DIR=$installPrefix/lib/creatools/$2"   >> $baseLibraryCreatoolsDir/creatools_base_library_config.sh
#   else
      echo "export $2_DIR='$'installPrefix/lib/creatools/$2"     >> $baseLibraryCreatoolsDir/creatools_base_library_config.sh
      echo "export bb$2_DIR='$'installPrefix/lib/creatools/bb$2" >> $baseLibraryCreatoolsDir/creatools_base_library_config.sh    
#   fi
   
else
   echo "============================= NEITHER $installPrefix/lib64 NOR installPrefix/lib EXIST ?!?"
fi
cd ../..
pwd

